-- Scheduler:wait() の動作サンプル
-- Satofumi KAMIMURA
-- $Id: wait_sample.lua 703 2009-04-01 20:17:15Z satofumi $

require("Scheduler")


function print_message()

   -- メッセージを１秒毎に表示する
   print("start")

   print("0 [sec]")
   Scheduler:wait(1000)

   print("1 [sec]")
   Scheduler:wait(1000)

   print("2 [sec]")
   Scheduler:wait(1000)

   print("3 [sec]")
end


local scheduler = Scheduler:new()
local id = scheduler:insert(print_message)

while scheduler:isActive(id) do
   scheduler:execute()
   delay(100)
end

print("end")
